## org.eclipse.jetty.webapp
Class FragmentConfiguration

    java.lang.Object
      org.eclipse.jetty.webapp.AbstractConfiguration
          org.eclipse.jetty.webapp.FragmentConfiguration

All Implemented Interfaces:
  Configuration

    public class FragmentConfiguration

extends AbstractConfiguration

FragmentConfiguration Process web-fragments in jars

Field Summary
`static java.lang.String` `FRAGMENT_RESOURCES`

Constructor Summary
`FragmentConfiguration()`

Method Summary
`void` `configure(WebAppContext context)` Configure WebApp.
`void` `findWebFragments(WebAppContext context, MetaData metaData)` Look for any web-fragment.xml fragments in META-INF of jars in WEB-INF/lib
`void` `postConfigure(WebAppContext context)` Clear down after configuration.
`void` `preConfigure(WebAppContext context)` Set up for configuration.

Methods inherited from class org.eclipse.jetty.webapp.AbstractConfiguration
`cloneConfigure, deconfigure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FRAGMENT_RESOURCES

    public static final java.lang.String FRAGMENT_RESOURCES

See Also:
  Constant Field Values

Constructor Detail

### FragmentConfiguration

    public FragmentConfiguration()

Method Detail

### preConfigure

    public void preConfigure(WebAppContext context)
                      throws java.lang.Exception

  Description copied from interface: `Configuration`
  Set up for configuration.

  Typically this step discovers configuration resources

  Specified by:
    `preConfigure` in interface `Configuration`
  Overrides:
    `preConfigure` in class `AbstractConfiguration`
  Parameters:
    `context` - The context to configure
  Throws:
    `java.lang.Exception`

### configure

    public void configure(WebAppContext context)
                   throws java.lang.Exception

  Description copied from interface: `Configuration`
  Configure WebApp.

  Typically this step applies the discovered configuration resources to either the `WebAppContext` or the associated `MetaData`.

  Specified by:
    `configure` in interface `Configuration`
  Overrides:
    `configure` in class `AbstractConfiguration`
  Parameters:
    `context` - The context to configure
  Throws:
    `java.lang.Exception`

### postConfigure

    public void postConfigure(WebAppContext context)
                       throws java.lang.Exception

  Description copied from interface: `Configuration`
  Clear down after configuration.

  Specified by:
    `postConfigure` in interface `Configuration`
  Overrides:
    `postConfigure` in class `AbstractConfiguration`
  Parameters:
    `context` - The context to configure
  Throws:
    `java.lang.Exception`

### findWebFragments

    public void findWebFragments(WebAppContext context,
                                 MetaData metaData)
                          throws java.lang.Exception

  Look for any web-fragment.xml fragments in META-INF of jars in WEB-INF/lib

  Throws:
    `java.lang.Exception`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.